<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

function connect(){

  $link = mysql_connect('127.0.0.1','eligibilite','B3Kg7z6d') or die(mysql_error());
  mysql_select_db('eligibilite', $link) or die(mysql_error());
}

function executeQuery($requete) {
  $resultat = mysql_query($requete) or die(mysql_error());

  if(substr($requete, 0, 6) === 'SELECT'){
    while($donnees=mysql_fetch_array($resultat)){
      $resultats[]=$donnees;
    }
    if (!isset($resultats)) {
      return null;
    }
  }
  else if(substr($requete, 0, 6) === 'INSERT'){
    $resultats = mysql_insert_id();
  }
  else {
    $resultats = 'ok';
  }

  return $resultats;
}

connect();

if(isset($_POST['query'])) {
  $resultat = executeQuery($_POST['query']);
}

if(isset($_POST['mail'])) {
    // Pour envoyer un mail HTML, l'en-tête Content-type doit être défini
     $headers  = 'MIME-Version: 1.0' . "\r\n";
     $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";

     $email = 'ftth@manchenumerique.fr';

     if(isset($_POST['siteEmail'])) {
      $email = $_POST['siteEmail'];
     }

     // En-têtes additionnels
     $headers .= 'From: Manche Numérique <'.$email.'>' . "\r\n";

     // Envoi
     $to = $_POST['mail']['to'];
     $resultat = mail($to, $_POST['mail']['sujet'], $_POST['mail']['message'], $headers);
}

if(isset($resultat)){
  echo json_encode($resultat);
}
?>